/**
 * 
 * @param {string} str 
 */
export function parse(str) {
    // ?xx
    // #
    // a=a1&b=b1&....
    str = str.replace(/^[(?#]/, '')
    console.log(str)
    const params = {}
    str = str.split('&')
    str.forEach(item => {
        item = item.trim().split('='); // a=b ==> ['a','b']
        if (item.length >= 1) {
            params[item[0]] = item[1];
        }
    })
    return params;
}
export default {
    parse
}